Logo
OpenScaler

Kubernetes create progress steps

GET
/v1/kubernetes-create-progress-categories

Static list of progress categories shown during cluster creation.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/kubernetes-create-progress-categories"
{  "messages": [    {      "id": "k8s-create-rec",      "progress": 0,      "message": "Received and validated request to create cluster",      "status": "Pending"    },    {      "id": "k8s-master-created",      "progress": 10,      "message": "Created master node",      "status": "Pending"    },    {      "id": "k8s-master-started",      "progress": 30,      "message": "Created all worker nodes",      "status": "Pending"    },    {      "id": "k8s-master-configured",      "progress": 40,      "message": "Configured nodes",      "status": "Pending"    },    {      "id": "k8s-master-started",      "progress": 60,      "message": "Started all nodes",      "status": "Pending"    },    {      "id": "k8s-cluster-ready",      "progress": 100,      "message": "Kubernetes cluster is ready",      "status": "Pending"    }  ]}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}